---
title: RTCInboundRtpStreamStats.bytesReceived
slug: Web/API/RTCInboundRtpStreamStats/bytesReceived
tags:
  - API
  - Media
  - Networking
  - Performance
  - Property
  - RTCInboundRtpStreamStats
  - RTP
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - bytesReceived
  - stream
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The {{domxref("RTCInboundRtpStreamStats")}} dictionary's <code><strong>bytesReceived</strong></code> property is an integer value which indicates the total number of bytes received so far from this synchronization source (SSRC).</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var bytesReceived = <em>rtcInboundRtpStreamStats</em>.bytesReceived;</pre>

<h3 id="Value">Value</h3>

<p>An unsigned integer value indicating the total number of bytes received so far on this RTP stream, not including header and padding bytes. This value can be used to calculate an approximation of the average media data rate:</p>

<pre class="brush: js">avgDataRate = rtcInboundRtpStreamStats.bytesReceived / elapsedTime;</pre>

<p>This value gets reset to zero if the sender's SSRC identifier changes for any reason.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-bytesreceived', 'RTCInboundRtpStreamStats.bytesReceived')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCInboundRtpStreamStats.bytesReceived")}}</p>
